textures/abyss/lava1
	{
		qer_editorimage textures/abyss/lava1.tga
		q3map_lightimage textures/abyss/lava1.tga
		q3map_globaltexture

		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		surfaceparm trans		

		q3map_surfacelight 100
		tessSize 32
		cull disable

		deformVertexes wave 100 sin 0 1 .5 .5

		{
			map textures/abyss/lava1.tga
			rgbGen const ( 0.5 0.5 0.5 )	
			alphaGen lightingSpecular
			blendfunc add
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
	
		{
			map textures/abyss/lava1c.tga
			rgbGen const ( 0.75 0.75 0.75 )
			alphaGen lightingSpecular
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .02 .01
		}
}

textures/abyss/lava2
	{
		qer_editorimage textures/abyss/lava1.tga
		qer_trans .5
		q3map_lightimage textures/abyss/lava1.tga
		q3map_globaltexture

		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		surfaceparm nobuildsurface
		surfaceparm nonsolid
		
		q3map_surfacelight 250
		cull disable
		{
			map textures/abyss/lava1c.tga
			rgbGen const ( 0.6 0.6 0.6 )
			alphaGen lightingSpecular	
			blendfunc add
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .02
		}
	
		{
			map textures/abyss/lava1.tga
			rgbGen const ( 0.9 0.9 0.9  )
			alphaGen lightingSpecular
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .02 .01
		}
}

textures/abyss/mist_s
{
	qer_editorimage textures/abyss/mist.tga
	entityMergable
	cull none
	{
		map textures/abyss/mist.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}

// shader from nexus6
textures/abyss/protograte1_trans
{
	qer_editorimage textures/uncreation/protograte1.tga
	surfaceparm	metalsteps		
	cull none
	{
		map textures/uncreation/protograte1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/abyss/ladder
{
	qer_editorimage textures/common/ladder.tga
	qer_trans .40
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/abyss/foghull
{
	fogParms ( 0.25 0.22 0.22 ) 1024

	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	qer_trans 0.4
}

models/abyss/barrel_blue_gummi
{
	q3map_shadeangle 180

	{
		map models/abyss/barrel_blue_gummi.jpg
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}
models/abyss/barrel_red_gummi
{
	q3map_shadeangle 180

	{
		map models/abyss/barrel_red_gummi.jpg
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}
models/abyss/barrel_orange_gummi
{
	q3map_shadeangle 180

	{
		map models/abyss/barrel_orange_gummi.jpg
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}
models/abyss/barrel_green_gummi
{
	q3map_shadeangle 180

	{
		map models/abyss/barrel_green_gummi.jpg
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/abyss/grate_s
{
	qer_editorimage textures/abyss/grate.tga
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none
	nopicmip
	{
		map textures/abyss/grate.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}

textures/abyss/rock_new1
{
	qer_editorimage textures/abyss/rock_new1.jpg
	q3map_shadeAngle 179
	{
		map textures/abyss/rock_new1.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/abyss/rock_new2
{
	qer_editorimage textures/abyss/rock_new2.jpg
	q3map_shadeAngle 179
	{
		map textures/abyss/rock_new2.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/abyss/zinc_rusty1_dynlight
{
	qer_editorimage textures/uncreation/zinc_rusty1.tga
	surfaceparm nolightmap

	{
		map textures/uncreation/zinc_rusty1.tga
		rgbGen lightingDiffuse
	}
}

textures/abyss/zinc_baseboard1_dynlight
{
	qer_editorimage textures/uncreation/zinc_baseboard1.tga
	surfaceparm nolightmap

	{
		map textures/uncreation/zinc_baseboard1.tga
		rgbGen lightingDiffuse
	}
}

textures/abyss/blocks2_nonsolid
{
	qer_editorimage textures/uncreation/blocks2.tga

	surfaceparm nonsolid

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/uncreation/blocks2.tga
		blendFunc filter
	}
}

textures/abyss/mat5c_nonsolid
{
	qer_editorimage textures/uncreation/mat5c.tga

	surfaceparm nonsolid

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/uncreation/mat5c.tga
		blendFunc filter
	}
}
